from django.urls import path
from . import views


urlpatterns = [
    # path('', views.group, name="groups")
    path('', views.dashboard, name="dashboard"),
    
    # Administration views
    path('companyprofile', views.companyProfile, name="companyprofile"),
    path('companylocation', views.companylocation, name="companylocation"),
    path('productcategory', views.productcategory, name="productcategory"),
    path('products', views.products, name="products"),
    path('productPrice', views.productPrice, name="productprice"),
    path('productPrice', views.productPrice, name="productprice"),
    path('customers', views.customers, name="customers"),
    path('suppliers', views.suppliers, name="suppliers"),
    path('bankAccounts', views.bankAccounts, name="bankaccounts"),
    path('PaletCoding', views.PaletCoding, name="PaletCoding"),
    path('reference/package', views.package, name="package"),
    path('reference/colors', views.colors, name="colors"),
    path('reference/expense_type', views.expenseType, name="expensetype"),
    path('reference/bank_name', views.bank, name="bank"),
    path('reference/payment_mode', views.paymentMode, name="paymentmode"),
    path('reference/transaction_type', views.transactionType, name="transactiontype"),
    path('reference/stock_level', views.productStock, name="productstock"),
    #path('users/roles', views.roles, name='roles'),


    # delete views
    path('deleteCompanyLocation', views.deleteCompanyLocation, name="deleteCompanyLocation"),
    path('deleteCompanyProfile', views.deleteCompanyProfile, name="deleteCompanyProfile"),
    path('deleteProductCategory', views.deleteProductCategory, name="deleteProductCategory"),
    path('deleteProducts', views.deleteProducts, name="deleteProducts"),
    path('deleteProductPrice', views.deleteProductPrice, name="deleteProductPrice"),
    path('deleteProductPrice', views.deleteProductPrice, name="deleteProductPrice"),
    path('deleteCustomers', views.deleteCustomers, name="deleteCustomers"),
    path('deleteSuppliers', views.deleteSuppliers, name="deleteSuppliers"),
    path('deleteBankAccounts', views.deleteBankAccounts, name="deleteBankAccounts"),
    path('deleteBank', views.deleteBank, name="deleteBank"),
    path('deletePackage', views.deletePackage, name="deletePackage"),
    path('deleteColor', views.deleteColor, name="deleteColor"),
    path('deleteExpenseType', views.deleteExpenseType, name="deleteExpenseType"),
    path('deletePaymentMode', views.deletePaymentMode, name="deletePaymentMode"),
    path('deleteTransactionType', views.deleteTransactionType, name="deleteTransactionType"),
    path('deleteExpense', views.deleteExpense, name="deleteExpense"),
    path('deleteCreditSalePayment', views.deleteCreditSalePayment, name="deleteCreditSalePayment"),
    path('deletePaletCoding', views.deletePaletCoding, name="deletePaletCoding"),
    
    
    # update views
    path('updateCompanyProfile', views.updateCompanyProfile, name="updateCompanyProfile"),
    path('updateCompanyLocation', views.updateCompanyLocation, name="updateCompanyLocation"),
    path('updateProductCategory', views.updateProductCategory, name="updateProductCategory"),
    path('updateProducts', views.updateProducts, name="updateProducts"),
    path('updateProductPrice', views.updateProductPrice, name="updateProductPrice"),
    path('updateCustomers', views.updateCustomers, name="updateCustomers"),
    path('updateSuppliers', views.updateSuppliers, name="updateSuppliers"),
    path('updateBankAccounts', views.updateBankAccounts, name="updateBankAccounts"),
    path('updateBank', views.updateBank, name="updateBank"),
    path('updatePackage', views.updatePackage, name="updatePackage"),
    path('updateColors', views.updateColors, name="updateColors"),
    path('updateExpenseType', views.updateExpenseType, name="updateExpenseType"),
    path('updatePaymentMode', views.updatePaymentMode, name="updatePaymentMode"),
    path('updateTransactionType', views.updateTransactionType, name="updateTransactionType"),
    path('updateStockLevel', views.updateStockLevel, name="updateStockLevel"),
    path('updateExpense', views.updateExpense, name="updateExpense"),
    path('updateCreditSalePayment', views.updateCreditSalePayment, name="updateCreditSalePayment"),
    path('updatePaletCoding', views.updatePaletCoding, name="updatePaletCoding"),
    
    
    # Transaction views
    path('cashsales', views.cashSaleTransaction, name="cashSaleTransaction"),
    path('creditsales', views.creditSaleTransaction, name="creditSaleTransaction"),
    path('return_sales', views.return_sales, name="return_sales"),
    path('return_protocol', views.return_protocol, name="return_protocol"),
    path('wholesale_protocol', views.wholesale_protocol, name="wholesale_protocol"),
    path('receipts', views.receiptTransaction, name="receiptTransaction"),
    path('invoice/<str:sales_id>', views.invoice, name="invoice"),
    path('stockTransferTransaction', views.stockTransferTransaction, name="stockTransferTransaction"),
    path('wholeSaleTransaction', views.wholeSaleTransaction, name="wholeSaleTransaction"),
    path('initiate_credit_sale', views.initiate_credit_sale, name="initiate_credit_sale"),
    path('CreditSaleApprovalTransaction', views.CreditSaleApprovalTransaction, name="CreditSaleApprovalTransaction"),
    path('stock_purchase', views.stock_purchase, name="stock_purchase"),
    path('cashsale_protocol', views.cashsale_protocol, name="cashsale_protocol"),
    path('credit_sale_approval', views.credit_sale_approval, name="credit_sale_approval"),
    path('create_comments', views.create_comments, name="create_comments"),
    path('approve_stock', views.approve_stock, name="approve_stock"),
    path('reject_stock', views.reject_stock, name="reject_stock"),
    path('approve_protocol_stock', views.approve_protocol_stock, name="approve_protocol_stock"),
    path('search_cashsale_products', views.search_cashsale_products, name="search_cashsale_products"),
    path('search_wholesale_products', views.search_wholesale_products, name="search_wholesale_products"),
    path('search_products_location', views.search_products_location, name="search_products_location"),
    path('search_palet_by_product', views.search_palet_by_product, name="search_palet_by_product"),
    path('add_pallet', views.add_pallet, name="add_pallet"),
    

    # Transaction Return
    path('sale_return', views.sale_return, name='sale_return'),
    path('sale_return_one', views.sale_return_one, name='sale_return_one'),
    path('stock_purchase_return', views.stock_purchase_return, name='stock_purchase_return'),
    path('stock_requisition_return', views.stock_requisition_return, name='stock_requisition_return'),
    
    # Transaction Update
    # path('updateSales', views.updateSales, name='updateSales'),
    path('sale_update', views.sale_update, name="sale_update"),
    path('getSalesById', views.getSalesById, name="getSalesById"),
    path('stock_purchase_update', views.stock_purchase_update, name="stock_purchase_update"),
    path('getStockPurchaseById', views.getStockPurchaseById, name="getStockPurchaseById"),
    path('sale_discount_update', views.sale_discount_update, name="sale_discount_update"),
    
    
    path('WholesaleReceipt', views.WholesaleReceipt, name="WholesaleReceipt"),
    path('creditSaleReceipt', views.creditSaleReceipt, name="creditSaleReceipt"),
    path('expense', views.expense, name="expense"),
    path('bankTransaction', views.bankTransaction, name="bankTransaction"),
    
    
    
    
    # transaction payment views
    path('creditSalePayment', views.creditSalePayment, name="creditSalePayment"),
    path('cash_payment', views.creditSaleCashPayment, name="creditSaleCashPayment"),
    path('stockPurchasePayment', views.stockPurchasePayment, name="stockPurchasePayment"),
    


    # request views for ajax (GET)
    path('viewCompanyLocationById', views.viewCompanyLocationById, name="viewCompanyLocationById"),
    path('viewCompanyProfileById', views.viewCompanyProfileById, name="viewCompanyProfileById"),
    path('viewProductCategoryById', views.viewProductCategoryById, name="viewProductCategoryById"),
    path('viewProductsById', views.viewProductsById, name="viewProductsById"),
    path('viewProductPriceById', views.viewProductPriceById, name="viewProductPriceById"),
    path('viewCustomersById', views.viewCustomersById, name="viewCustomersById"),
    path('viewSuppliersById', views.viewSuppliersById, name="viewSuppliersById"),
    path('viewBankAccountsById', views.viewBankAccountsById, name="viewBankAccountsById"),
    path('viewBankById', views.viewBankById, name="viewBankById"),
    path('viewPackageById', views.viewPackageById, name="viewPackageById"),
    path('viewColorById', views.viewColorById, name="viewColorById"),
    path('viewExpenseTypeById', views.viewExpenseTypeById, name="viewExpenseTypeById"),
    path('viewPaymentModeById', views.viewPaymentModeById, name="viewPaymentModeById"),
    path('viewTransactionTypeById', views.viewTransactionTypeById, name="viewTransactionTypeById"),
    path('viewStockLevelById', views.viewStockLevelById, name="viewStockLevelById"),
    path('getProductPricesById', views.getProductPricesById, name="getProductPricesById"),
    path('stockTransferReport', views.stockTransferReport, name="stockTransferReport"),
    path('viewExpenseById', views.viewExpenseById, name="viewExpenseById"),
    path('viewSaleApprovalItemById', views.viewSaleApprovalItemById, name="viewSaleApprovalItemById"),
    path('viewCommentStatusById', views.viewCommentStatusById, name="viewCommentStatusById"),
    path('companyLocationById', views.companyLocationById, name="companyLocationById"),
    path('viewCustomerPaymentAtAccountReport', views.viewCustomerPaymentAtAccountReport, name="viewCustomerPaymentAtAccountReport"),
    path('viewCreditSalePaymentById', views.viewCreditSalePaymentById, name="viewCreditSalePaymentById"),
    path('getProductToUpdatePrices', views.getProductToUpdatePrices, name="getProductToUpdatePrices"),
    path('viewPaletsById', views.viewPaletsById, name="viewPaletsById"),
    
    
    
    # report views
    path('report/sales', views.salesReport, name="salesReport"),
    path('report/sales_products_report', views.saleAndProductReport, name="saleAndProductReport"),
    path('report/SalesSummaryReport', views.SalesSummaryReport, name="SalesSummaryReport"),
    path('report/stockControlReport', views.stockControlReport, name="stockControlReport"),
    path('report/stockControlSummaryReport', views.stockControlSummaryReport, name="stockControlSummaryReport"),
    path('report/stockValueReport', views.stockValueReport, name="stockValueReport"),
    path('report/customer_account_report', views.customer_account_report, name="customer_account_report"),
    path('report/supplier_account_report', views.supplier_account_report, name="supplier_account_report"),
    path('report/stockPurchaseReport', views.stockPurchaseReport, name="stockPurchaseReport"),
    path('report/expenseReport', views.expenseReport, name="expenseReport"),
    path('report/ProductSaleReport', views.ProductSaleReport, name="ProductSaleReport"),
    path('report/credit_sale_approval_report', views.credit_sale_approval_report, name="credit_sale_approval_report"),
    path('report/protocolReport', views.protocolReport, name="protocolReport"),
    path('report/customer_statement_report', views.customer_statement_report, name="customer_statement_report"),
    path('report/user_activities_report', views.user_activities_report, name="user_activities_report"),
    path('report/supplier_statement_report', views.supplier_statement_report, name="supplier_statement_report"),
    path('report/transaction_return_report', views.transaction_return_report, name="transaction_return_report"),
    path('report/bank_transaction_report', views.bank_transaction_report, name="bank_transaction_report"),
    path('report/stockApprovalsReport', views.stockApprovalsReport, name="stockApprovalsReport"),
    path('report/creditRepaymentReport', views.creditRepaymentReport, name="creditRepaymentReport"),
    path('report/stock_requisition_report', views.stockRequisitionReport, name="stockRequisitionReport"),
    
    path('report/receipt/<int:id>', views.printReceipt, name="printReceipt"),
    
    
    # Datatable Views
    
    path('datatable/creditRepaymentData', views.creditRepaymentData, name="creditRepaymentData"),
    
    
    # report views for ajax by ID
    path('report/salesReportById', views.salesReportById, name="salesReportById"),
    path('report/salesAndProductReportById', views.salesAndProductReportById, name="salesAndProductReportById"),
    path('report/salesIdReportById', views.salesIdReportById, name="salesIdReportById"),
    path('report/viewSaleItemById', views.viewSaleItemById, name="viewSaleItemById"),
    path('report/productSaleReportById', views.productSaleReportById, name="productSaleReportById"),
    path('report/viewStockPurchaseItemById', views.viewStockPurchaseItemById, name="viewStockPurchaseItemById"),
    path('report/stockValueReportById', views.stockValueReportById, name="stockValueReportById"),
    path('report/viewExpenseReportByID', views.viewExpenseReportByID, name="viewExpenseReportByID"),
    path('report/viewProtocolItemById', views.viewProtocolItemById, name="viewProtocolItemById"),
    path('report/customer_account_report_by_id', views.customer_account_report_by_id, name="customer_account_report_by_id"),
    path('report/customer_statement_report_by_id', views.customer_statement_report_by_id, name="customer_statement_report_by_id"),
    path('report/supplier_statement_report_by_id', views.supplier_statement_report_by_id, name="supplier_statement_report_by_id"),
    path('report/user_activities_report_by_id', views.user_activities_report_by_id, name="user_activities_report_by_id"),
    path('report/viewCreditRepaymentReportByID', views.viewCreditRepaymentReportByID, name="viewCreditRepaymentReportByID"),

    
    
    path('report/SalesSummaryReportById', views.SalesSummaryReportById, name="SalesSummaryReportById"),
    path('report/stockControlReportById', views.stockControlReportById, name="stockControlReportById"),
    path('report/stockValueReportById', views.stockValueReportById, name="stockValueReportById"),
    path('report/stockTransferReportById', views.stockTransferReportById, name="stockTransferReportById"),
    path('report/stockTransferIdReportById', views.stockTransferIdReportById, name="stockTransferIdReportById"),
    path('report/ApprovalReportById', views.ApprovalReportById, name="ApprovalReportById"),
    path('report/stockPurchaseReportById', views.stockPurchaseReportById, name="stockPurchaseReportById"),
    path('report/stockPurchaseReportByPurchaseId', views.stockPurchaseReportByPurchaseId, name="stockPurchaseReportByPurchaseId"),
    path('report/stockPurchaseReportByInvoice', views.stockPurchaseReportByInvoice, name="stockPurchaseReportByInvoice"),
    path('report/protocolReportById', views.protocolReportById, name="protocolReportById"),
    path('report/ProtocolIdReportById', views.ProtocolIdReportById, name="ProtocolIdReportById"),
    path('report/createSaleApprovalReportById', views.createSaleApprovalReportById, name="createSaleApprovalReportById"),
    path('report/CreditSaleApprovalIdReportById', views.CreditSaleApprovalIdReportById, name="CreditSaleApprovalIdReportById"),
    path('report/stockRequisitionReportById', views.stockRequisitionReportById, name="stockRequisitionReportById"),
    
    
    
]